Qt Utilities: CppUtilities::QtConfigArguments Class Reference

Qt Utilities 6.21.1 Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models

Loading...
Searching...
No Matches
Public Member Functions | List of all members
CppUtilities::QtConfigArguments Class Reference

`#include <qtconfigarguments.h>`

## Public Member Functions
| QtConfigArguments ()
| Constructs new Qt config arguments.
Argument & | qtWidgetsGuiArg ()
| Returns the argument for the Qt Widgets GUI.
Argument & | qtQuickGuiArg ()
| Returns the argument for the Qt Quick GUI.
Argument & | languageArg ()
| Returns the language argument.
bool | areQtGuiArgsPresent () const
| Returns whether at least one of the GUI arguments is present.
void | applySettings (bool preventApplyingDefaultFont=false) const
| Applies the settings from the arguments.

## Detailed Description

Definition at line 40 of file qtconfigarguments.h.

## Constructor & Destructor Documentation

## ◆ QtConfigArguments()

CppUtilities::QtConfigArguments::QtConfigArguments | ( |  | ) |

Constructs new Qt config arguments.

Definition at line 40 of file qtconfigarguments.cpp.

## Member Function Documentation

## ◆ applySettings()

void CppUtilities::QtConfigArguments::applySettings | ( | bool | preventApplyingDefaultFont = false | ) | const

Applies the settings from the arguments.

Remarks
  Also checks environment variables for the icon theme.

Parameters

  preventApplyingDefaultFont | If true, the font will not be updated to some default value if no font has been specified explicitly.

Definition at line 123 of file qtconfigarguments.cpp.

## ◆ areQtGuiArgsPresent()

bool CppUtilities::QtConfigArguments::areQtGuiArgsPresent | ( |  | ) | const
| inline

Returns whether at least one of the GUI arguments is present.

Definition at line 95 of file qtconfigarguments.h.

## ◆ languageArg()

Argument & CppUtilities::QtConfigArguments::languageArg | ( |  | ) |
| inline

Returns the language argument.

Definition at line 87 of file qtconfigarguments.h.

## ◆ qtQuickGuiArg()

Argument & CppUtilities::QtConfigArguments::qtQuickGuiArg | ( |  | ) |
| inline

Returns the argument for the Qt Quick GUI.

Definition at line 79 of file qtconfigarguments.h.

## ◆ qtWidgetsGuiArg()

Argument & CppUtilities::QtConfigArguments::qtWidgetsGuiArg | ( |  | ) |
| inline

Returns the argument for the Qt Widgets GUI.

Definition at line 71 of file qtconfigarguments.h.

The documentation for this class was generated from the following files:

- resources/qtconfigarguments.h
- resources/qtconfigarguments.cpp